@font-face {
  font-family: 'Ethnocentric';
  src: url('../font/ethnocentric/ethnocentric\ rg\ it.ttf');
}

:root {
  --light-blue: #015791;
  --dark-blue: #0071bc;
  --dark-yellow: #fbb03b;
  --light-green: #2fb97b;
  --white: #fff;
  --aliceblue: aliceblue;
  --black: #000;
}

* {
  margin: 0;
  box-sizing: border-box;
  font-family: 'Ethnocentric', sans-serif;
}

body {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.container {
  width: 90vw;
  height: 90vh;

  display: flex;
  flex-direction: column;
  justify-content: space-around;
  
  border: solid 2px var(--dark-blue);
}

.header {
  width: 85vw;
  height: 5vw;
  margin-left: 3vw;

  display: flex;
  justify-content: space-between;
}

.header__logo {
  display: flex;
}

.header__image { 
  height: 10vh;
}

.header__text {
  font-size: 1.2vw;
  align-self: center;
  color: var(--dark-blue);
}

.header__navigation {
  width: 45vw;
  display: flex;
}

.logout {
  font-size: 1vw;
  color: var(--dark-blue);
  align-self: center;
}

.logout:hover {
  cursor: pointer;
  color: var(--dark-yellow);
}

.logout-button {
  width: 4vw;
  height: 4vh;
  margin-left: 1vw;

  display: flex;
  flex-direction: column;
}

.content-create {
  width: 100vw;
  height: 65vh;

  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.content-list {
  width: 100%;
  height: 65vh;

  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: auto;
}

.content-detail {
  width: 100%;
  height: 65vh;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: auto;
}

.content__icon {
  position: relative;
  width: 15vw;
  display: flex;
  flex-direction: column;
  color: var(--dark-blue);
}

.icon-add {
  position: absolute;
  bottom: 70px;
  right: 5px;
  width: 4.3vw;
  height: 1vh;
  padding: 0 0 8vh 0;

  text-align: center;
  font-size: 3vw;
  font-weight: 500;
  font-family: 'Arial';
  border: 3px solid var(--dark-blue);
  border-radius: 100vw;
  background-color: var(--white);
}

.icon-text {
  margin: 2vh 0;
  text-align: center;
}

hr {
  width: 74vw;
  height: 0.01vh;
  align-self: center;

  border-radius: 100vw;
  color: var(--dark-blue);
}

.form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 5vw;
}

.form > * {
  font-weight: bold;
}

.form__fields {
  width: 20vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.field {
  margin: 0.6vw 0;
}

.field > * {
  color: var(--dark-blue);
}

.field__text {
  margin-right: 0;
}

.select, #id_equipment, #id_institution {
  width: 30vw;
  height: 6.62vh;

  border: 1px solid var(--dark-blue);
  border-radius: 0.3vw;
  background-color: var(--white);
}

input {
  width: 30vw;
  height: 6vh;
  padding: 0 1vw;

  color: var(--black) !important;
  font-weight: bold;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  border-radius: 0.3vw;
  border: solid 1px var(--dark-blue);
}

.button {
  width: 12vw;
  height: 5vh;
  padding: 0 0 0 2.5vw;
  margin: 0.2vw 0;

  display: flex;
  justify-content: space-between;
  align-items: center;

  border: none;
  border-radius: 50vw;
  font-weight: bold;
  color: var(--white);
  background-color: var(--dark-blue);
}

.button-add {
  width: 2.5vw;
  height: 5vh;

  display: flex;
  justify-content: center;
  align-items: center;

  font-family: 'Arial';
  font-size: 1.5vw;
  color: var(--dark-blue);
  background-color: var(--white);
  border: 2px solid var(--dark-blue);
  border-radius: 100vw;
}

.navigation {
  width: 30vw;
  display: flex;
  flex-direction: column;
}

.navigation__icons {
  width: 25vw;
  height: 10vh;
  margin: 0 0.4vw;

  display: flex;
  align-items: center;
  text-decoration: none;
}

.navigation__icons .link {
  display: none;
  margin: 50vw 0;
}

.icons {
  width: 6vw;
  height: 10vh;
}

.list-table {
	width: 80%;
  overflow: auto;
}

.table-header {
  width: 100%;

  color: var(--white);
  background-color: var(--dark-blue);
}

.table-row {
  color: var(--dark-blue);
}

.table-content .table-row:nth-child(odd) {
  background-color: var(--aliceblue);
}

.detail-table {
  width: 40vw;
  border: 2px solid var(--dark-blue);
  border-radius: 1vw;
}

.detail-table .table-data {
  width: 20vw;
  display: flex;
  flex-direction: column;
}

.table-data, .header__item {
	text-align:center;
}

.link {
  text-decoration: none;
}

.link:visited {
  color: var(--dark-blue);
}

.link:hover {
  color: var(--dark-yellow);
}

.detail-table .table-row:first-of-type .table-header {
  border-top-left-radius: 1vw;
}

.detail-table .table-row:last-of-type .table-header {
  border-bottom-left-radius: 1vw;
}

.detail-table .table-row:first-of-type .table-data {
  border-top-right-radius: 1vw;
}

.detail-table .table-row:last-of-type .table-data {
  border-bottom-right-radius: 1vw;
}

.detail-table .table-row {
  background-color: var(--aliceblue);
}

.delete-button {
  width: 12vw;
  height: 5vh;
  margin-top: 5vh;

  display: flex;
  justify-content: center;
  align-items: center;

  border: none;
  border-radius: 50vw;
  font-weight: bold;
  color: var(--white);
  background-color: var(--dark-blue);
}

.delete-button:hover {
  cursor: pointer;
  background-color: var(--light-blue);
}

a {
  text-decoration: none;
}

.flex-row {
  display: flex;
}

.flex-row > * {
  margin: 0 2vw;
}

.list-icons {
  align-self: flex-end;
}

.icon-add-list {
  width: 20px;
  height: 20px;

  display: flex;
  justify-content: center;
  align-items: center;

  font-size: 2vw;
  font-family: 'Arial';
  color: var(--light-green);
  border: 2px solid var(--light-green);
  border-radius: 100vw;
  background-color: var(--white);
}

.list-button {
  display: flex;
  justify-content: center;
  align-self: flex-end;
}

.list-button button {
  width: 12vw;
  height: 5vh;
  margin: 2vh 1vw;

  align-self: center;
  border: none;
  border-radius: 50vw;
  background-color: var(--dark-blue);
}

.list-button button a {
  font-weight: bold;
  color: var(--white);
  background-color: var(--dark-blue);
}

.messages{ 
  align-self: center;
  color: red;
}
